Loading...
Searching...
No Matches
Halide::Internal::Autoscheduler::SearchSpace::ParallelTileOption Struct Reference

`#include <SearchSpace.h>`

## Public Member Functions

bool | operator< (const ParallelTileOption &other) const
| ParallelTileOption ()=default
| ParallelTileOption (ParallelTileOption &&)=default
ParallelTileOption & | operator= (ParallelTileOption &&)=default
| ParallelTileOption (const ParallelTileOption &)=delete
ParallelTileOption & | operator= (const ParallelTileOption &)=delete

## Public Attributes

vector< int64_t > | outer_tiling
vector< int64_t > | inner_tiling
double | idle_core_wastage
int64_t | min_parallelism
int64_t | max_parallelism

## Detailed Description

Definition at line 47 of file SearchSpace.h.

## Constructor & Destructor Documentation

## ParallelTileOption() [1/3]

Halide::Internal::Autoscheduler::SearchSpace::ParallelTileOption::ParallelTileOption | ( |  | ) |

default

Referenced by operator<(), operator=(), operator=(), ParallelTileOption(), and ParallelTileOption().

## ParallelTileOption() [2/3]

Halide::Internal::Autoscheduler::SearchSpace::ParallelTileOption::ParallelTileOption | ( | ParallelTileOption && |  | ) |

default

References ParallelTileOption().

## ParallelTileOption() [3/3]

Halide::Internal::Autoscheduler::SearchSpace::ParallelTileOption::ParallelTileOption | ( | const ParallelTileOption & |  | ) |

delete

References ParallelTileOption().

## Member Function Documentation

## operator<()

bool Halide::Internal::Autoscheduler::SearchSpace::ParallelTileOption::operator< | ( | const ParallelTileOption & | other | ) | const

inline

Definition at line 53 of file SearchSpace.h.

References idle_core_wastage, and ParallelTileOption().

## operator=() [1/2]

ParallelTileOption & Halide::Internal::Autoscheduler::SearchSpace::ParallelTileOption::operator= | ( | ParallelTileOption && |  | ) |

default

References ParallelTileOption().

## operator=() [2/2]

ParallelTileOption & Halide::Internal::Autoscheduler::SearchSpace::ParallelTileOption::operator= | ( | const ParallelTileOption & |  | ) |

delete

References ParallelTileOption().

## Member Data Documentation

## outer_tiling

vector<int64_t> Halide::Internal::Autoscheduler::SearchSpace::ParallelTileOption::outer_tiling

Definition at line 48 of file SearchSpace.h.

## inner_tiling

vector<int64_t> Halide::Internal::Autoscheduler::SearchSpace::ParallelTileOption::inner_tiling

Definition at line 49 of file SearchSpace.h.

## idle_core_wastage

double Halide::Internal::Autoscheduler::SearchSpace::ParallelTileOption::idle_core_wastage

Definition at line 50 of file SearchSpace.h.

Referenced by operator<().

## min_parallelism

int64_t Halide::Internal::Autoscheduler::SearchSpace::ParallelTileOption::min_parallelism

Definition at line 51 of file SearchSpace.h.

## max_parallelism

int64_t Halide::Internal::Autoscheduler::SearchSpace::ParallelTileOption::max_parallelism

Definition at line 52 of file SearchSpace.h.

The documentation for this struct was generated from the following file:

- src/autoschedulers/anderson2021/SearchSpace.h